<?php 


if (isset($_GET['temizle'])) {
	
$id = temizle($_GET['temizle']);
$sayfasil = $ozy->prepare("delete from etiketler where id='$id'");
$sayfasil->execute(array($id));
if ($sayfasil) {
echo '<script type="text/javascript">$(document).ready(function(){toastr["success"]("Başarıyla veri silindi.", "Başarılı");});</script>';	
}

}




if($_GET['duzenle']){
$id = temizle($_GET['duzenle']);
$sayfam = $ozy->query("select * from etiketler where id=$id")->fetch(PDO::FETCH_ASSOC); 
///Sayfa güncelleme kodları başlangıç
if (isset($_POST['guncelle'])) {



  $adi   = temizle($_POST['adi']);
  $sira   = temizle($_POST['sira']);
  $durum   = temizle($_POST['durum']);
  $link   = temizle($_POST['link']);
  $tarih   = date('d.m.Y H:i:s');

  $reskonum  = $_FILES['resim']['tmp_name'];
  $resad     = $_FILES['resim']['name'];
  $restip    = $_FILES['resim']['type'];
  $uzanti      = substr($resad, -5,5);
  $resimadi      = md5(uniqid(rand(time($resad)))).$uzanti;
  $yol         = "../resimler/etiketler";
  

  
   if (!empty($_FILES['resim']['name'])) {
   if($restip != 'image/jpeg'  && $restip != 'image/png' && $uzanti != '.jpg' && $uzanti != '.png' && $uzanti != '.jpeg'){
   echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Lütfen ! Jpg ve Png uzantılı resim yükleyiniz ....", "Başarısız");});</script>';

   }else{
	   
   $ekle = move_uploaded_file($reskonum, $yol.'/'.$resimadi);   
   $id = $_GET['duzenle'];
   $stmt = $ozy->prepare("UPDATE etiketler SET adi = ?, link = ?, durum = ?, sira = ?, resim = ? WHERE id = ?");
   $result2 = $stmt->execute(array($adi, $link, $durum, $sira, $resimadi ,$id));
   
   
   
   if($result2){
	echo '<script type="text/javascript">$(document).ready(function(){toastr["success"]("Başarıyla veriyi güncellediniz.", "Başarılı");});</script>';
	echo '<meta http-equiv="refresh" content="1; url='.$url.'/boss/etiket/duzenle/'.$id.'">';	

   }else{

    echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Üzgünüm bir hata oluştu :(", "Başarısız");});</script>';
    

   }






}

 }else{ 



   $id = $_GET['duzenle'];
   $stmt = $ozy->prepare("UPDATE etiketler SET adi = ?, link = ?, durum = ?, sira = ? WHERE id = ?");
   $result2 = $stmt->execute(array($adi, $link, $durum, $sira, $id));
   
   
   
   if($result2){
	echo '<script type="text/javascript">$(document).ready(function(){toastr["success"]("Başarıyla veriyi güncellediniz.", "Başarılı");});</script>';
	echo '<meta http-equiv="refresh" content="1; url='.$url.'/boss/etiket/duzenle/'.$id.'">';	

   }else{

    echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Üzgünüm bir hata oluştu :(", "Başarısız");});</script>';
    

   }






}
	
	


	
}



////Sayfa güncelleme kodları bitiş

}else{
	

////Sayfa oluşturma kodları başlangıç	
 
if (isset($_POST['kaydet'])) {
	
  $adi   = temizle($_POST['adi']);
  $aciklama   = $_POST['aciklama'];
  $sira   = $_POST['sira'];
  $durum   = temizle($_POST['durum']);
  $link   = temizle($_POST['link']);
  $tarih   = date('d.m.Y H:i:s');

  $reskonum  = $_FILES['resim']['tmp_name'];
  $resad     = $_FILES['resim']['name'];
  $restip    = $_FILES['resim']['type'];
  $uzanti      = substr($resad, -5,5);
  $resimadi      = md5(uniqid(rand(time($resad)))).$uzanti;
  $yol         = "../resimler/etiketler";
  
   if (empty($_FILES['resim']['name'])) {
	  
   $resimadi = "resimyok.jpg";
   $stmt = $ozy->prepare("INSERT INTO etiketler (adi, sira, durum, link, tarih, resim) 
   VALUES (?,?,?,?,?,?)");
   $result2 = $stmt->execute(array($adi, $sira, $durum, $link, $tarih, $resimadi));
   $id = $ozy->lastInsertId();
   
   
   if($result2){
	echo '<script type="text/javascript">$(document).ready(function(){toastr["success"]("Başarıyla veriyi eklediniz.", "Başarılı");});</script>';
	echo '<meta http-equiv="refresh" content="1; url=etiketler">'; 		

   }else{

    echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Üzgünüm bir hata oluştu :(", "Başarısız");});</script>';
    

   }
   
   
  }else{
  
  
  
   if($restip != 'image/jpeg'  && $restip != 'image/png' && $uzanti != '.jpg' && $uzanti != '.png' && $uzanti != '.jpeg'){
   echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Lütfen ! Jpg ve Png uzantılı resim yükleyiniz ....", "Başarısız");});</script>';

   }else{
	   
   $ekle = move_uploaded_file($reskonum, $yol.'/'.$resimadi);   
   
   $stmt = $ozy->prepare("INSERT INTO etiketler (adi, sira, durum, link, tarih, resim) 
   VALUES (?,?,?,?,?,?)");
   $result2 = $stmt->execute(array($adi, $sira, $durum, $link, $tarih, $resimadi));
   $id = $ozy->lastInsertId();
   
   
   if($result2){
	echo '<script type="text/javascript">$(document).ready(function(){toastr["success"]("Başarıyla veriyi eklediniz.", "Başarılı");});</script>';
	echo '<meta http-equiv="refresh" content="1; url=etiketler">'; 	

   }else{

    echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("Üzgünüm bir hata oluştu :(", "Başarısız");});</script>';
    

   }






}
  
  
  
  }
  
  






}

////Sayfa oluşturma kodları bitiş






}

	
	
	
	
	
	
	
	
	
	
	



?>


<div class="wrapper">
        <div class="container-fluid">
            <!-- Page-Title -->
            <div class="page-title-box">
                <div class="row align-items-center">
                    <div class="col-sm-6">
                        <h4 class="page-title">Diller</h4>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item"><a href="index.html">Anasayfa</a></li>
                            <li class="breadcrumb-item active">Diller</li>
                        </ol>
                    </div>
                </div>
                <!-- end row -->
            </div>

            <div class="row">
                <div class="col-lg-6">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <h4 class="mt-0 header-title">Dil Listesi</h4>
                            
        <div class="custom-dd dd">
	
		
		<?php $etikets = $ozy->query("select * from etiketler order by sira asc")->fetchAll(PDO::FETCH_ASSOC); 
        foreach($etikets as $etiket){?>
        <li class='dd-item'> 
		<div class='dd-handle'>
		<?php echo $etiket['sira'];?> -
		<img style="width: 22px;height: 18px;" src="../resimler/etiketler/<?php echo $etiket['resim'];?>"></img>
		<?php echo $etiket['adi'];?>
		
	
		
		<div style="width: 110px !important;float: right;margin-right: -15px;margin-top: -4px;">
	    <?php if($etiket['durum']=='1'){?>
		<span style="font-size: 13px;" class="badge badge-success">Aktif</span>
        <?php } else { ?>
		<span style="font-size: 13px;" class="badge badge-pill badge-danger">Pasif</span>
        <?php } ?>
		<a href="etiketler?temizle=<?php echo $etiket['id'];?>" onclick="return confirm('Silmek istediğinize emin misiniz ?')" class="btn btn-sm btn-danger" data-toggle="tooltip" data-original-title="Sil"><i class="ti-trash" aria-hidden="true"></i></a>									 
		<a href="etiket/duzenle/<?php echo $etiket['id'];?>" class="btn btn-sm btn-success" data-toggle="tooltip" data-original-title="Düzenle"><i class="fa fa-edit" aria-hidden="true"></i></a>					
		
		</div>							
		</div>
        </li>
        <?php } ?>	
     

							
		</div>

                        </div>
                    </div>
                </div> <!-- end col -->

                <div class="col-lg-6">
                    <div class="card m-b-30">
                        <div class="card-body">

                    <form class="form-horizontal" action="" method="POST" enctype="multipart/form-data">
                    <div class="card m-b-30">
                        <div class="card-body">
                         <!-- Nav tabs -->
                  


                          <div class="tab-content">
						  
						  
						  
						  
						  
						  

                           
                          <div class="tab-pane active p-3" id="home-1" role="tabpanel">
                          
							      
						  <div class="form-group">
					      <label for="example-text-input" class="col-form-label">Dil Sırası</label>
					      <div class="controls">
					      <input type="text" class="form-control" value="<?php echo $sayfam['sira']; ?>" name="sira">
				          </div>
			              </div> 

                          <div class="form-group">
					      <label for="example-text-input" class="col-form-label">Dil Adı</label>
					      <div class="controls">
					      <input type="text" class="form-control" value="<?php echo $sayfam['adi']; ?>" name="adi" required>
				          </div>
			              </div> 

						  
                          <div class="form-group">
					      <label for="example-text-input" class="col-form-label">Dil Kısaltılmış Adı (<a target="_blank" href="https://translate.google.com/">Dil Uzantıları İçin Tıklayın)</a></label>
					      <div class="controls">
					      <input type="text" class="form-control" value="<?php echo $sayfam['link']; ?>" name="link">
				          </div>
			              </div> 
						  
						  <div class="form-group">
                                <label for="example-text-input" class="col-sm-12 col-form-label">Dil Resmi</label>
                          
                                    <div class="controls">
                                    <div class="fileupload fileupload-new" data-provides="fileupload">
									
                                   
									
                                    <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;"></div>
                                    
									 <div class="fileupload-new thumbnail fileupload-preview thumbnail" style="width: 200px; height: 150px;">
                                    
									<?php if($_GET['duzenle']){?>
									<img src="../resimler/etiketler/<?php echo $sayfam['resim']; ?>" style="width: 200px; height: 200px;" alt="" />
                                    <?php } else { ?>
									<img src="assets/images/resimyok.jpg" alt="" />
									<?php }?>
									
                                    </div>
                                    <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;"></div>
                                    <div>
                                    <span class="btn btn-default btn-file" style="border: 1px solid #ebeef0;">
                                    <span class="fileupload-new" ><i class="fa fa-paper-clip"></i> Resim Seç</span>
                                    <span class="fileupload-exists"><i class="fa fa-undo"></i> Değiştir</span>
                                    <input name="resim" type="file" class="default" />
                                    </span>
                                    <a href="#" class="btn btn-outline-primary waves-effect waves-light" data-dismiss="fileupload"><i class="fa fa-trash"></i> Sil</a>
                                    </div>
                                    </div>
                                    </div>
                                   
							
                                            
                            </div>	
								
						  
						
						  <div class="form-group ">
                                <label for="example-text-input" class="col-form-label">Durumu</label>
                               
                                <input type="checkbox" <?php if($sayfam['durum'] == '1') {?> checked="" <?php } ?> value="1" data-toggle="toggle" data-onstyle="primary" data-offstyle="secondary" name="durum">
                                            
                          </div>   
                     
                         
								
								
					
					
					
					
					
					
								
						  </div>
                                 



                        




                         <?php if($_GET['duzenle']){?>
						  
						  <button type="submit" name="guncelle" class="btn btn-warning btn-lg btn-block waves-effect waves-light">Güncelle</button>
                         
                          <?php } else { ?>
						 
                          <button type="submit" name="kaydet" class="btn btn-primary btn-lg btn-block waves-effect waves-light">Kaydet</button>
                         
						
								 
                         <?php } ?>     

			             
						 
						 </div>	
								
								
								
								
								
								
								
								
								
                            </div>
							</form>


 
						</div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row --> 

        </div>
        <!-- end container-fluid -->
    </div>
    <!-- end wrapper -->
	<script>
$(function() {
  $("#addMore").click(function(e) {
    e.preventDefault();
    $("#fieldList").append("</br>");
	$("#fieldList").append("<input type='text' style='margin-bottom: 5px;' class='form-control' name='sira[]' placeholder='Filtre Sırası'/>");
    $("#fieldList").append("<input type='text' style='margin-bottom: 5px;' class='form-control' name='fadi[]' placeholder='Filtre Ana Başlık'>");
    $("#fieldList").append("<input type='text' style='margin-bottom: 5px;' class='form-control tags-input' name='ozellik[]' data-role='tagsinput' placeholder='Filtrelenecek Öğeler'>");
	$('.tags-input').tagsinput('refresh');
  });
});
</script>
